<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="RuleCommonStyleSheet.xsl"/>
<xsl:output method="html"/>

<xsl:template match="rule">
	<table border="0">
		<tr><td>
		
		<span class="Text">

		<h5>套件之間建立了相依關係</h5>
		<var name="graph_" value="$match.getUnderlyingGraph()$"/>	
		<var name="edge" value="$match.getEdge()$"/>
		<var name="link" value="$edge.getFrom()$"/>
		<var name="target" value="$edge.getTo()$"/>
		$target.getElementName()$					
		<b>是 $graph_.getEdgeType(edge).fromToString()$</b>
		$link.getElementName()$
		行 [
		<for from="0" to="$match.getMatchLinks().size()$">
			<var name="link" value="$match.getMatchLinks().get( index )$"/>
			<a href="r2a://GotoFile( $link.getResource().getFullPath().toString()$, $link.getStartPosition()$ )">$link.getLineNumber()$</a>
			</for>
		]
		<if condition="$match.hasLocation( edge )$">
			行 [
			<var name="comaCounter_" value="$0$"/>
			<iterator name="locations" value="$match.locations( edge )$">
				<var name="location" value="$locations_next$"/>
				<if condition="$comaCounter_ > 0$">
				,
				</if>
				<var name="comaCounter_" value="$comaCounter_ + 1$"/>
				<a href="r2a://GotoFile( $link.getResource().getFullPath().toString()$, $location.getStartPosition()$ )">$location.getLine()$</a>
				<xsl:text> </xsl:text>
			</iterator>					
			]
		</if>

		</span>
		<p/>

	
		</td></tr>
				
		</table>
</xsl:template>

</xsl:stylesheet>


